/* MAIN STYLES */
html {
    visibility:hidden;
}

body {
    font-family: 'Open Sans Condensed', 'Times New Roman', sans-serif;
}

#header {
    width: 100%;
    height: 40px;
    /* background-image: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.3)); */
    background-color: orange;
    position: fixed;
    z-index: 10;
}

#header h1 {
    color: black;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 0.3em;
    font-size: 1.5em;
    font-weight: 900;
    padding-top: 8px;
    user-select: none;
}

#header.dimmed {
    background-image: none;
    background-color: rgba(0, 0, 0, 0.8);
}

#header.dimmed h1 {
    color: white;
}

main {
    background-color: rgba(0, 0, 0, 0.1);
    padding-top: 40px;
}

#dimmer.dimmed {
    position: fixed;
    top: 40px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 10;
    # pointer-events: none;
}

/* BUTTON STYLES */
.button {
    background-color: orange;
    color: black;
    border-radius: 50%;
    position: fixed;
    bottom: 16px;
    right: 16px;
    border: none;
    width: 56px;
    height: 56px;
    padding: 16px;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    cursor: pointer;
    outline: none;
    opacity: 0.5;
}

.button:hover {
    opacity: 1;
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.7);
}

.button i {
    font-size: 24px;
    line-height: 24px;
}

/* NOTES BEHAVIOR TO WINDOW CHANGE */
.notes {
    margin: 8px;
}

.note-container {
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
}


@media only screen and (min-width: 560px) {
    .note-container {
        width: 50%;
    }
}

@media only screen and (min-width: 816px) {
    .note-container {
        width: 33.3%;
    }
}

@media only screen and (min-width: 1072px) {
    .note-container {
        width: 25%;
    }
}


/* STANDARD-SIZE NOTES */
.note {
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
    transition: box-shadow 0.2s;
    overflow-wrap: break-word;
    overflow: hidden;
}

.note .button {
    display: none;
}

.note .image {
    width: 100%;
    height: auto;
    display: none;
}

.note .image.main {
    display: block;
}

.note .text {
    position: absolute;
    /*color: white;
    mix-blend-mode: difference;*/
}

.note .text h2 {
    font-size: 1.2em;
    display: block;
    /*text-align: center;*/
    text-transform: uppercase;
    letter-spacing: 0.2em;
    font-weight: 400;
    color: white;
    padding: 5px;
    mix-blend-mode: difference;
    /* pointer-events: none; */
    user-select: none;
}

.note .text h3 {
    text-transform: uppercase;
    letter-spacing: 0.2em;
    font-weight: 400;
    color: white;
    mix-blend-mode: difference;
    user-select: none;
}

.note .text .description {
    display: none;
}

.note .text .properties {
     padding: 5px 8px;
     position: absolute;
}

.note .text .properties .symbols {
    display: inline-block;
    margin: 0 0 10px -5px;
    box-sizing: border-box;

}

.note .text .symbols img {
    display: inline-block;
    padding: 2px;
    width: 15px;
    height: 15px;
    user-select: none;
    mix-blend-mode: difference;
}

.note .text .properties .ingredients {
    display: none;
}






/* ENLARGED NOTES */
.note.enlarged {
    z-index: 50;
    position: fixed;
    width: 60%;
    margin: 0 auto;
    transform: translate(-50%, calc(-50% + 20px));
    top: 50%;
    left: 50%;
    max-height: 80vh;
    # overflow: hidden;
    line-height: 1.2em;
    overflow-y: scroll;
}

.note.enlarged .button {
    display: inline;
}

.note.enlarged .image {
    width: 100%;
    height: auto;
    /*max-width: 50%;
    /*max-height: calc(80vh - 20px);
    margin-left: 10px;*/
    box-shadow: 0 0 10px 1px black;
    display: block;
}

.note.enlarged .text {
    position: initial;
    padding: 10px;

    /* make some nice background color*/
    /*
    background-image: url("img/food/0.png");
    filter: blur(30px);
    -webkit-filter: blur(30px);

    height: 100%;

    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    */

}


.note.enlarged .text h2 {
    position: initial;
    text-align: center;
}

.note.enlarged .text .description {
    display: inline;
    text-align: justify;
    text-justify: inter-word;
    padding-top: 30px;
}

.note.enlarged .text .description h3 {
    margin: 20px 0 5px 10px;
}

.note.enlarged .text .description p {
    padding: 0 10px 10px 10px;
}



.note.enlarged .text .properties {
    position: initial;
    text-align: center;
}

.note.enlarged .text .properties .symbols {
    display: inline-block;
    max-width: calc(50% - 20px);
}

.note.enlarged .text .properties .symbols .stars {
    display: inline-block;
    padding: 0 10px;
}

.note.enlarged .text .properties .symbols .chilli {
    display: inline-block;
    padding: 0 10px;
}

.note.enlarged .text .properties .ingredients {
    display: block;
    text-align: left;
    padding-left: 30px;
}

.note.enlarged .text .properties .ingredients h3 {
    margin: 0 0 5px -30px;
}

.note.enlarged .text .properties .ingredients li {
    list-style-type: circle;
}



/* NOTE HOVER BEHAVIOR */
.note-container:hover .note .image {
    box-shadow: 0 2px 15px black;
}

.note-container:hover .note.enlarged .image {
    /* default box shadow (so it won't change) */
    box-shadow: 0 0 10px 1px black;
}

.note-container:hover .note.enlarged {
    box-shadow: 0 0 15px white;
}



/* SOME IMPROVEMENTS FOR SMALL DEVICES WITHOUT HOVER CAPABILITY */
@media (hover: none) {
    .button {
        opacity: 1;
    }

    .note-container .note .image {
        box-shadow: 0 2px 15px black;
    }

    .note-container:hover .note.enlarged {
        box-shadow: none;
    }
}

@media only screen and (max-width: 815px) {
    .note.enlarged {
        width: 100%;
        max-height: calc(100vh - 40px);
    }

}

/*
.editable {
    outline: none;
    background-color: red;
}
*/

